opencv 2.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Protected Attributes | List of all members
cv::GenericDescriptorMatcher::KeyPointCollection Class Reference

`#include <features2d.hpp>`

## Public Member Functions
void | add (const vector< Mat > &images, const vector< vector< KeyPoint > > &keypoints)
void | clear ()
const Mat & | getImage (int imgIdx) const
const vector< Mat > & | getImages () const
const KeyPoint & | getKeyPoint (int imgIdx, int localPointIdx) const
const KeyPoint & | getKeyPoint (int globalPointIdx) const
const vector< vector< KeyPoint > > & | getKeypoints () const
const vector< KeyPoint > & | getKeypoints (int imgIdx) const
void | getLocalIdx (int globalPointIdx, int &imgIdx, int &localPointIdx) const
size_t | imageCount () const
| KeyPointCollection ()
| KeyPointCollection (const KeyPointCollection &collection)
size_t | keypointCount () const

## Protected Attributes
vector< Mat > | images
vector< vector< KeyPoint > > | keypoints
int | pointCount
vector< int > | startIndices

## Constructor & Destructor Documentation

cv::GenericDescriptorMatcher::KeyPointCollection::KeyPointCollection | ( |  | ) |

cv::GenericDescriptorMatcher::KeyPointCollection::KeyPointCollection | ( | const KeyPointCollection & | collection | ) |

## Member Function Documentation

void cv::GenericDescriptorMatcher::KeyPointCollection::add | ( | const vector< Mat > & | images,
|  | const vector< vector< KeyPoint > > & | keypoints
| ) |  |

void cv::GenericDescriptorMatcher::KeyPointCollection::clear | ( |  | ) |

const Mat& cv::GenericDescriptorMatcher::KeyPointCollection::getImage | ( | int | imgIdx | ) | const

const vector<Mat>& cv::GenericDescriptorMatcher::KeyPointCollection::getImages | ( |  | ) | const

const KeyPoint& cv::GenericDescriptorMatcher::KeyPointCollection::getKeyPoint | ( | int | imgIdx,
|  | int | localPointIdx
| ) |  | const

const KeyPoint& cv::GenericDescriptorMatcher::KeyPointCollection::getKeyPoint | ( | int | globalPointIdx | ) | const

const vector<vector<KeyPoint> >& cv::GenericDescriptorMatcher::KeyPointCollection::getKeypoints | ( |  | ) | const

const vector<KeyPoint>& cv::GenericDescriptorMatcher::KeyPointCollection::getKeypoints | ( | int | imgIdx | ) | const

void cv::GenericDescriptorMatcher::KeyPointCollection::getLocalIdx | ( | int | globalPointIdx,
|  | int & | imgIdx,
|  | int & | localPointIdx
| ) |  | const

size_t cv::GenericDescriptorMatcher::KeyPointCollection::imageCount | ( |  | ) | const

size_t cv::GenericDescriptorMatcher::KeyPointCollection::keypointCount | ( |  | ) | const

## Member Data Documentation

vector<Mat> cv::GenericDescriptorMatcher::KeyPointCollection::images
| protected

vector<vector<KeyPoint> > cv::GenericDescriptorMatcher::KeyPointCollection::keypoints
| protected

int cv::GenericDescriptorMatcher::KeyPointCollection::pointCount
| protected

vector<int> cv::GenericDescriptorMatcher::KeyPointCollection::startIndices
| protected

The documentation for this class was generated from the following file:

- /usr/obj/OpenCV-2.2.0/OpenCV-2.2.0/modules/features2d/include/opencv2/features2d/features2d.hpp